package org.springblade.imports.mapper;

import org.apache.ibatis.annotations.Param;
import org.springblade.imports.entity.VRecentVippoolCosts;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 * 会员池最近消耗统计 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2023-03-15
 */
public interface VRecentVippoolCostsMapper extends BaseMapper<VRecentVippoolCosts> {

    List<String> supplierList();

    List<String> ptypeList(@Param("supplier") String supplier);

    List<String> contractIdList(@Param("supplier") String supplier);

    List<String> qytypeList(@Param("supplier") String supplier,@Param("ptype") String ptype);

    List<String> cpIdList(@Param("supplier") String supplier,@Param("ptype") String ptype,@Param("qytype") String qytype);



}
